<!DOCTYPE html>
<html lang="zxx">

<head>
  <meta charset="utf-8">
  <title>MDEF/Computer-aided design</title>

  <!-- mobile responsive meta -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">

  <!-- ** Plugins Needed for the Project ** -->
  <!-- Bootstrap -->
  <link rel="stylesheet" href="../plugins/bootstrap/bootstrap.min.css">
  <link rel="stylesheet" href="../plugins/themify/css/themify-icons.css">
  <link rel="stylesheet" href="../plugins/counto/animate.css">
  <link rel="stylesheet" href="../plugins/aos/aos.css">
  <link rel="stylesheet" href="../plugins/owl-carousel/owl.carousel.min.css">
  <link rel="stylesheet" href="../plugins/owl-carousel/owl.theme.default.min.css">
  <link rel="stylesheet" href="../plugins/magnific-popup/magnific-popup.css">
  <link rel="stylesheet" href="../plugins/animated-text/animated-text.css">

  <!-- Main Stylesheet -->
  <link href="../designspace/style.css" rel="stylesheet">

</head>


<body>

<!-- Navigation Start -->
<!-- Header Start -->

<div class= "header">

  <nav class="navbar navbar-expand-lg  main-nav " id="navbar">
  	<div class="container">
  	  <a class="navbar-brand" href="../index.html">
  	  	<img src="../images/logo.png" alt="" class="img-fluid">
  	  </a>


  	  <button class="navbar-toggler collapsed" type="button" data-toggle="collapse" data-target="#navbarsExample09" aria-controls="navbarsExample09" aria-expanded="false" aria-label="Toggle navigation">
  		<span class="ti-align-justify"></span>
  	  </button>

  		  <div class="collapse navbar-collapse" id="navbarsExample09">
  			<ul class="navbar-nav ml-auto">

  			  <li class="nav-item  active"><a class="nav-link" href="../index.html">Home</a></li>

  			  <li class="nav-item dropdown active">
  					<a class="nav-link dropdown-toggle" href="#" id="dropdown02" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Reflection</a>
  					<ul class="dropdown-menu" aria-labelledby="dropdown02">
  						<li><a class="dropdown-item" href="../blog-grid.html">Term 1</a></li>
  						<li><a class="dropdown-item" href="../term2.html">Term 2</a></li>
  						<li><a class="dropdown-item" href="../term3.html">Term 3</a></li>
  					</ul>
  			  </li>

          <li class="nav-item dropdown active">
           <a class="nav-link dropdown-toggle" href="#" id="dropdown02" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Research</a>
           <ul class="dropdown-menu" aria-labelledby="dropdown02">
             <li><a class="dropdown-item" href="../designspace/design-space.html">Design Space</a></li>
             <li><a class="dropdown-item" href="../materials.html">Materiality</a></li>
           </ul>
         </li>
  			   <li class="nav-item"><a class="nav-link" href="../contact.html">GitLab</a></li>
           <li class="nav-item  active"><a class="nav-link" href="../myself.html">About</a></li>

  			</ul>
  		</div>
  	</div>
  </nav>
</div>
<!-- Header Close -->


<section class="page-title section pb-0">
  <div class="container">
    <div class="row">
      <div class="col-lg-12">
        <div class="text-center">
          <h1 class="text-capitalize mb-0 text-lg">Computer-aided design</h1>
        </div>
      </div>
    </div>
  </div>
</section>


<section class="section portfolio-single">
	<div class="container">
		<div class="row">
			<div class="col-lg-8">
        <article class="single-post">


              <h3> Making interlocking building elements </h3>
               <br> </br>
               	<img src="../designspace/brick.png" alt="brick" class="img-fluid w-100">
               <p>My project is about resilient structures that are able to be assembled and disassembled in order to repair or change them. So I wanted to use parametric design to create interlocking elements
               that can be adjusted to the different dimensions. </p>
               <p>As the building elements are 3D components I chose to use grasshopper and rhino, in order to experiment with their shape and the size of the interlocking pieces. </p>
               <p>First, I decided to experiment with interlocking bricks. The idea is to make elements that adapt according to changes in their dimensions (length,width,height) and also in the number and size of the cylinders on the surface
                 that makes them able to interlock with the one above. In that way I could test the different configurations and sizes and what's the best option so they fit together. This is the grasshopper script that I was working on:  </p>
               <img src="gr.jpg" alt="gg" class="img-fluid w-100">
                <br> </br>
                <p>So basiclly, I start by creating a box, then I divided the surfaces to the number of sub-elements that will be interlocking.</p>

               	<img src="gr1.jpg" alt="g1" class="img-fluid w-100">
                <br> </br>
                <p>Then I created circles at each sub-area, which I made a little bit smaller than the boudaries.</p>

              	<img src="gr2.jpg" alt="g3" class="img-fluid w-100">
                <br> </br>
                <p>Then I extruded the circles and I made a male and a female part at its element, so they are able to interlock. Finally, I trimmed the surfaces and merged them in one block.</p>

               	<img src="gr3.jpg" alt="g4" class="img-fluid w-100">
                <br> </br>
                <p>You can dowload the grasshopper file here: <a href="interlockingbrick.gh" interlocking brick> <b>Grasshopper file</b> </a>
                  <br> </br>


               <p> One result that I decided to keep is the following: </p>
                  <br> </br>
                 	<img src="r1v1.png" alt="" class="img-fluid w-100">
                  <br> </br>
                	<img src="r1v2.png" alt="" class="img-fluid w-100">
                  <br> </br>
                  <p> A second instant of the parametric model that I captured is this: </p>
                  <br> </br>
                	<img src="r2v1.png" alt="" class="img-fluid w-100">
                  <br> </br>
                	<img src="r2v2.png" alt="" class="img-fluid w-100">
                  <br> </br>

                  <p>Another parametric experiment that I tried was to make a catalan vault as a parametric structure.</p>

                  <img src="../designspace/vault1.png" alt="vault" class="img-fluid w-100">
                  <br></br>

                  <p>


                  <img src="../designspace/grassvault.jpg" alt="vault" class="img-fluid w-100">
                  <br></br>

                  <img src="../designspace/vault.png" alt="vault" class="img-fluid w-100">
                  <br></br>
                  <p>So first I created an arc, which I extruded, this is the size of the vault.</p>
                  <img src="vaultstep1.jpg" alt="vault" class="img-fluid w-100">
                  <br></br>
                  <p>Afterwards, I made the tiles of the vault and I extruded them, i the end I copied the vault many times, so it covers the whole building.</p>
                  <img src="vaultstep2.jpg" alt="vault" class="img-fluid w-100">
                  <br></br>
                  <img src="vaultstep3.jpg" alt="vault" class="img-fluid w-100">
                  <br></br>
                  <p>You can download the grasshopper file of the vault here: <a href="vault.gh" interlocking brick> <b>Vault grasshopper</b> </a>









       </article>
        </div>
      </div>
      </div>
    </section>

    <section class="footer">
      <div class="container">
        <div class="row ">
          <div class="col-lg-6">
          </div>
          <div class="col-lg-6">
            <div class="widget footer-widget text-lg-right mt-5 mt-lg-0">
              <ul class="list-inline mb-0">

              </ul>
            </div>
          </div>
        </div>
      </div>
    </section>

<!-- jQuery -->
<script src="../plugins/jQuery/jquery.min.js"></script>
<!-- Bootstrap JS -->
<script src="../plugins/bootstrap/bootstrap.min.js"></script>
<script src="../plugins/aos/aos.js"></script>
<script src="../plugins/owl-carousel/owl.carousel.min.js"></script>
<script src="../plugins/shuffle/shuffle.min.js"></script>
<script src="../plugins/magnific-popup/jquery.magnific-popup.min.js"></script>
<script src="../plugins/animated-text/animated-text.js"></script>
<script src="../plugins/counto/apear.js"></script>
<script src="../plugins/counto/counTo.js"></script>

 <!-- Google Map -->
<script src="../plugins/google-map/map.js"></script>
<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAkeLMlsiwzp6b3Gnaxd86lvakimwGA6UA&callback=initMap"></script>
<!-- Main Script -->
<script src="js/script.js"></script>

</html>
